Page MenuHomePhabricator

Broken "HON" browser plug-in causes content corruption when editing
Closed, ResolvedPublic

Description

Reported by @Doc_James on https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback:

<div target="_blank" id="honLogo_50" class="hon certificateLink honcode-logo-wide valid" title="HONcode certified" alt="HONcode certified" href="http://services.hon.ch/cgi-bin/Plugin/redirect.pl?HONConduct982312+en"></div>
<div target="_blank" id="honLogo_56" class="hon certificateLink honcode-logo-wide valid" title="HONcode certified" alt="HONcode certified" href="http://services.hon.ch/cgi-bin/Plugin/redirect.pl?HONConduct278812+en"></div>
<div target="_blank" id="honLogo_162" class="hon certificateLink honcode-logo-wide valid" title="HONcode certified" alt="HONcode certified" href="http://services.hon.ch/cgi-bin/Plugin/redirect.pl?HONConduct788421+en"></div>
<div target="_blank" id="honLogo_298" class="hon certificateLink honcode-logo-wide"></div>
<div target="_blank" id="honLogo_352" class="hon certificateLink honcode-logo-wide valid" title="HONcode certified" alt="HONcode certified" href="http://services.hon.ch/cgi-bin/Plugin/redirect.pl?HONConduct756274+en"></div>

Lovely.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2018, 6:19 PM

Change 473809 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Filter out junk from the HON browser plug-in

https://gerrit.wikimedia.org/r/473809

Change 473809 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Filter out junk from the HON browser plug-in

https://gerrit.wikimedia.org/r/473809

Change 478808 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Fix filtering out .donut-container again

https://gerrit.wikimedia.org/r/478808

Change 478808 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix filtering out .donut-container again

https://gerrit.wikimedia.org/r/478808

Change 478975 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@wmf/1.33.0-wmf.6] Fix filtering out .donut-container again

https://gerrit.wikimedia.org/r/478975

Change 478975 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.33.0-wmf.6] Fix filtering out .donut-container again

https://gerrit.wikimedia.org/r/478975

Mentioned in SAL (#wikimedia-operations) [2018-12-11T19:22:50Z] <jforrester@deploy1001> Synchronized php-1.33.0-wmf.6/extensions/VisualEditor/modules/ve-mw/init/ve.init.mw.Target.js: T209619: Hot-deploy Ibcf3c93e (duration: 00m 52s)

marcella closed this task as Resolved.Dec 14 2018, 4:16 PM